<template>
  <div class="height_100">
    <search-Result v-if="outside" :searchData="searchData" :semanteme="semanteme" :noveltySearch="noveltySearch" :projectId="projectId" :retrieveRecordId="retrieveRecordId" :outside="outside" :innerProjectId="innerProjectId"></search-Result> 
    <search-Result1 v-else :searchData="searchData" :semanteme="semanteme" :noveltySearch="noveltySearch" :projectId="projectId" :retrieveRecordId="retrieveRecordId" :outside="outside" :innerProjectId="innerProjectId"></search-Result1> 
  </div>
</template>

<script>
import searchResult from './searchResult.vue';
import searchResult1 from './internal_search/searchResult_internal.vue';
export default {
  components: {
    searchResult,
    searchResult1
  },
  props: {},
  data() {
    return {
    };
  },
  watch: {

  },
  computed: {
    searchData(){
        return JSON.parse(this.$route.query.data)
    },
    noveltySearch(){
      return this.$route.query.noveltySearch=='true'?true:false
    },
    projectId(){
      return this.$route.query.projectId
    },
    retrieveRecordId(){
      return this.$route.query.retrieveRecordId
    },
    outside(){
      return this.$route.query.outside=='false'?false:true
    },
    innerProjectId(){
      return this.$route.query.innerProjectId
    },
    semanteme(){
      return this.$route.query.semanteme
    },
  },
  methods: {},
  created() {},
  mounted() {

  }
};
</script>
<style lang="scss" scoped>
</style>